Subject: Re: [PATCH net-next RFC v2 0/6] net: phy: Introduce a port representation

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 22 Jan 2025 20:16:08 +0000

On Wed, Jan 22, 2025 at 06:42:45PM +0100, Maxime Chevallier wrote:
> First, a short disclaimer. This series is RFC, and there are quite a lot of
> shortcomings :
> 
>  - The port representation is in a minimal form
>  - No SFP support is included, but it will be required for that series to come
>    out of RFC as we can't gracefully handle multi-port interfaces without it.

Agreed - because I think SFP brings with it a whole host of issues that
describing the media facing port would be error prone - and to do it
accurately, we'd need a table of quirks to fix lots of broken modules.

For example, many SFP modules with RJ45 connectors describe themselves
as having a LC connector!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!